Bug 225625 - Take queues into account when running pull/fetch
Take queues into account when running pull/fetch
Status: RESOLVED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Mercurial
7.3
PC Linux
: P3 (vote)
: 7.4
Assigned To: Ondrej Vrabec
issues@versioncontrol
: PLAN
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-01 09:18 UTC by Ondrej Vrabec
Modified: 2013-02-05 12:37 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ondrej Vrabec 2013-02-01 09:18:29 UTC
Imagine you have a hg qpatch applied to your current branch. Before finishing the patch (or simply while working on it) you decide to sync your current branch with a repository. So now you have to:
1) pop all patches -> scanning is triggered
2) fetch/pull from upstream -> scanning is triggered again
3) push your patch -> scanning is triggered once more
Why not just making all these part of the pulling process:
1) run merc -> pull
2) the action pops all patches and remembers the applied ones
3) hg pull is started
4) when it finishes and no merge is needed, it pushes the previous patches automatically
5) finally only one scanning is triggered.
Comment 1 Ondrej Vrabec 2013-02-04 15:17:53 UTC
fix: http://hg.netbeans.org/core-main/rev/db5ba3599d6b
Comment 2 Quality Engineering 2013-02-05 12:37:24 UTC
Integrated into 'main-golden', will be available in build *201302050917* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/db5ba3599d6b
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: #225625 - Take queues into account when running pull/fetch


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo